petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDANaturalToGlobalEnd

Maps values from the natural ordering global vector to a global vector in the PETSc DMDA ordering. Must be preceeded by DMDANaturalToGlobalBegin().

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDANaturalToGlobalEnd(DM da,Vec g,InsertMode mode,Vec l)

Neighbor-wise Collective on DMDA Many br

### Input Parameters

| da | - the distributed array context Many br
| g | - the global vector in a natural ordering Many br
| mode | - one of INSERT_VALUES or ADD_VALUES Many br

### Output Parameter

l -the global values in the PETSc DMDA ordering Many br

Many br

### Notes

The global and local vectors used here need not be the same as those Many brobtained from DMCreateGlobalVector() and DMDACreateNaturalVector(), BUT they Many brmust have the same parallel data layout; they could, for example, be Many brobtained with VecDuplicate() from the DMDA originating vectors. Many br

### Keywords

distributed array, global to local, end

### See Also

DMDAGlobalToNaturalBegin(), DMDAGlobalToNaturalEnd(), DMLocalToGlobalBegin(), DMDACreate2d(),
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDACreateNaturalVector() Many br

Level:intermediate
Location:src/dm/impls/da/dagtol.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages